/*
 * Front gateway
 *
 * Front gateway
 *
 * API version: 0.0.1
 * Generated by: OpenAPI Generator (https://openapi-generator.tech)
 */

package openapi

type SignUpResult struct {

	Session string `json:"session,omitempty"`
}

// AssertSignUpResultRequired checks if the required fields are not zero-ed
func AssertSignUpResultRequired(obj SignUpResult) error {
	return nil
}

// AssertRecurseSignUpResultRequired recursively checks if required fields are not zero-ed in a nested slice.
// Accepts only nested slice of SignUpResult (e.g. [][]SignUpResult), otherwise ErrTypeAssertionError is thrown.
func AssertRecurseSignUpResultRequired(objSlice interface{}) error {
	return AssertRecurseInterfaceRequired(objSlice, func(obj interface{}) error {
		aSignUpResult, ok := obj.(SignUpResult)
		if !ok {
			return ErrTypeAssertionError
		}
		return AssertSignUpResultRequired(aSignUpResult)
	})
}
